%define name      scsiadd
%define version   1.4
%define release   2mdk

Summary:      Utility to add and remove SCSI devices on the fly
Name:         %{name}
Version:      %{version}
Release:      %{release}
License:      GPL
Group:        System/Configuration/Hardware
Source:       %{name}-%{version}.tar.bz2
URL:          http://llg.cubic.org/misc
BuildRoot:    %{_tmppath}/%{name}-buildroot

%description
scsiadd lets you insert or remove SCSI devices from the linux SCSI 
subsystem on the fly. This is useful for external devices 
like scanners or tapes which can be powered on after system boot.
Devices can be added or removed at any time.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
%make

%install
mkdir -p $RPM_BUILD_ROOT%{_prefix}/sbin \
	$RPM_BUILD_ROOT%{_mandir}/man8
make prefix=$RPM_BUILD_ROOT%{_prefix} install
install -c -m 644 scsiadd.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README GPL.txt
%{_sbindir}/*
%{_mandir}/man8/*

%changelog
* Mon Aug 29 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4-2mdk
- added man page.

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- 1.4.

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- updated to 1.3.

* Fri Aug 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- used srpm from John Johnson <jjohnson@linux-mandrake.com>
- Made mandrake rpm and changed compression to bz2 
- macros
- BM
